package jp.sourceforge.cfneo.at4ie2.api.browser.impl.ie;

import static org.junit.Assert.*;
import jp.sourceforge.cfneo.at4ie2.TestSupport;
import jp.sourceforge.cfneo.at4ie2.api.browser.Browser;

import org.junit.Test;

import watij.finders.SymbolFactory;
import watij.runtime.ie.IE;

public class BTCheckBoxTest {

	@Test
	public void testCheck() {
		IE ie = new IE();
		Browser browser = new BTInternetExplorer(ie);
		try {
			browser.open(TestSupport.TARGET_PATH + TestSupport.TARGET_FILE);

			BTCheckBox cb = new BTCheckBox(ie.checkbox(SymbolFactory.id, "chk1"));
			cb.check();
			assertTrue(cb.isChecked());

		} catch (Exception e) {
			e.printStackTrace();
			fail();
		} finally {
			browser.close();
		}
	}

	@Test
	public void testGetValue() {
		fail("Not yet implemented");
	}

	@Test
	public void testIsChecked() {
		fail("Not yet implemented");
	}

	@Test
	public void testGetId() {
		fail("Not yet implemented");
	}

	@Test
	public void testGetName() {
		fail("Not yet implemented");
	}

}
